Summary: A graphical project management tool.
Name: mrproject
Version: 0.10
Release: 0.dag
License: GPL
Group: Applications/Productivity
URL: http://mrproject.codefactory.se/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source:	ftp://ftp.codefactory.se/pub/software/mrproject/source/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: gtk2-devel >= 2.0.3, libgnomeui-devel >= 2.0.1, libglade2-devel >= 2.0.0
BuildRequires: libgnomecanvas >= 2.0.1, libbonoboui-devel >= 2.0.1
BuildRequires: intltool, libgnomeprint22, libgnomeprintui22

BuildRequires: libmrproject-devel >= %{name}-%{version}
BuildRequires: scrollkeeper

Requires(post): scrollkeeper
Requires: libmrproject >= %{name}-%{version}

%description
MrProject is a visual project management application which allows users to
manage several aspects of a project, including schedule tracking using
Gantt charts.

You should install MrProject if you wish to manage schedules, allocate
resources, and track the progress of your projects.

%prep
%setup

%build
intltoolize
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall \
	MRP_PLUGINDIR="%{buildroot}%{_libdir}/mrproject/plugins" \
	MRP_VIEWDIR="%{buildroot}%{_libdir}/mrproject/views"
%find_lang %{name}

#desktop-file-install --vendor gnome --delete-original \
#	--add-category X-Red-Hat-Base                 \
#	--add-category Application                    \
#	--dir %{buildroot}%{_datadir}/applications    \
#	%{buildroot}%{_datadir}/applications/mrproject.desktop

### Clean up buildroot
%{__rm} -rf %{buildroot}%{_localstatedir}/scrollkeeper/
%{__rm} -f %{buildroot}%{_libdir}/mrproject{,/views,/plugins}/*.la

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
scrollkeeper-update -q || :

%postun
/sbin/ldconfig
scrollkeeper-update -q || :

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc %{_datadir}/gnome/help/mrproject/
%{_bindir}/*
%{_libdir}/mrproject/
%{_datadir}/mrproject/
%{_datadir}/omf/mrproject/*.omf
%{_datadir}/application-registry/*.applications
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-2.0/ui/*.ui
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*

%changelog
* Sat Sep 13 2003 Dag Wieers <dag@wieers.com> - 0.10-0
- Updated to release 0.10.

* Mon Feb 24 2003 Dag Wieers <dag@wieers.com> - 0.9.1-0
- Updated to release 0.9.1.

* Thu Jan 23 2003 Dag Wieers <dag@wieers.com> - 0.8-0
- Initial package. (using DAR)
